Subject: Re: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file ~/.emacs ignored

From: "Dr. Werner Fink" <[email-masked]>
Date: Fri, 23 Dec 2016 08:29:42 +0100

On Thu, Dec 22, 2016 at 06:45:46PM +0100, martin rudalics wrote:
> > I agree, but I'm not sure we have anyone aboard who can tell.
> 
> Neither am I.
> 
> > Failing that, would unbinding the above solve the problem?
> 
> Forcefully.
> 
> > If so, we
> > could suggest that to people as workaround, until we find a proper
> > solution.
> 
> Please do that.  Maybe in a way that people who simply wonder why their
> default font settings all of a sudden get overridden do not have to
> understand what's going on.  Something like "If you see this happen, put
> 
> (define-key special-event-map [config-changed-event] 'ignore)
> 
> into your .emacs.".

Hmmm ... couldn't that be a line within the API for (custom-set-faces)

My guess is that the dynamic font changing feature might be there to support
switching system fonts with gconf/dconf at runtime(?).  This might happen
if such a change triggers an event

Werner

-- 
  "Having a smoking section in a restaurant is like having
          a peeing section in a swimming pool." -- Edward Burr